package matrices2;

import matrices.Matrix;
import matrices.MatrixUtil;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;

public class Matrix044 {
    public static void main(String[] args) {
        double[][] tabl;
        File file = new File("matrices/assets/matrix3.dat");
        RandomAccessFile raf = null;
        try {
            raf = new RandomAccessFile(file, "rw");
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        try {
            raf.seek(0);
        } catch (IOException e) {
            e.printStackTrace();
        }
        tabl = MatrixUtil.read(raf);
        Matrix mat = new Matrix(tabl);
        mat.printToConsole();
    }
}
